Bug 1014739 - Add support for accessing persistent keyrings
Add support for accessing persistent keyrings
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: keyutils (Show other bugs)
7.0
All Linux
high Severity high
: beta
: ---
Assigned To: David Howells
Karel Srot
:
Depends On: 991110
Blocks: 991169
  Show dependency treegraph
 
Reported: 2013-10-02 12:21 EDT by Stephen Gallagher
Modified: 2014-06-18 03:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: This enhancement adds support to the keyutils library (as keyctl_get_persistent()) and the keyctl program (as keyctl get_persistent) for the purpose of getting at the per-UID persistent keyring that is made available by the kernel. Reason: The library change is primarily for the Kerberos libraries to be able to use a keyring for the storage of Kerberos tickets. The keyctl interface is primarily for testing, but can also used by scripts. Result (if any):
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:47:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gallagher 2013-10-02 12:21:47 EDT
Description of problem:
Kerberos libraries now have a new credential cache type based on the kernel keyring and persistent keyring support. We need keyutils to provide access to this kernel functionality.

Version-Release number of selected component (if applicable):
keyutils-1.5.6-1.el7
Comment 1 David Howells 2013-10-02 12:29:41 EDT
Support for this has been included in keyutils-1.5.7:

http://git.kernel.org/cgit/linux/kernel/git/dhowells/keyutils.git/commit/?id=89e0912913031c6cacbd436aafacfce837b83896

and has been pushed to Fedora.
Comment 8 Ludek Smid 2014-06-13 07:47:29 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.